Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » using Ajeer for RCP based on eclipse 3.2.3
using Ajeer for RCP based on eclipse 3.2.3 [message #72811] Mon, 08 December 2008 10:13 Go to next message
keren is currently offline kerenFriend
Messages: 2
Registered: July 2009
Junior Member
Hi,
I'm trying to load-time weaving a RCP product (based on eclipse 3.2.2)
I'm using ajeer 2.0.1, aspectj-rt 1.5.4 and ajdt 1.4.2
I'm not really sure why I can't make it work
Am I having problem with the above versions I'm using?

I followed this post:
http://dev.eclipse.org/newslists/news.eclipse.technology.ajd t/msg00996.html

but could not make it work

10x,
Keren
Re: using Ajeer for RCP based on eclipse 3.2.3 [message #73192 is a reply to message #72811] Mon, 09 February 2009 11:53 Go to previous message
Erdal Karaca is currently offline Erdal KaracaFriend
Messages: 756
Registered: July 2009
Senior Member
I would try using the (new) equinox aspects to enable ltw in eclipse-based
products, it is quite simple to set up:
http://www.eclipse.org/equinox/incubator/aspects/index.php

keren wrote:

> Hi,
> I'm trying to load-time weaving a RCP product (based on eclipse 3.2.2)
> I'm using ajeer 2.0.1, aspectj-rt 1.5.4 and ajdt 1.4.2
> I'm not really sure why I can't make it work
> Am I having problem with the above versions I'm using?

> I followed this post:
> http://dev.eclipse.org/newslists/news.eclipse.technology.ajd t/msg00996.html

> but could not make it work

> 10x,
> Keren
Re: using Ajeer for RCP based on eclipse 3.2.3 [message #599623 is a reply to message #72811] Mon, 09 February 2009 11:53 Go to previous message
Erdal Karaca is currently offline Erdal KaracaFriend
Messages: 756
Registered: July 2009
Senior Member
I would try using the (new) equinox aspects to enable ltw in eclipse-based
products, it is quite simple to set up:
http://www.eclipse.org/equinox/incubator/aspects/index.php

keren wrote:

> Hi,
> I'm trying to load-time weaving a RCP product (based on eclipse 3.2.2)
> I'm using ajeer 2.0.1, aspectj-rt 1.5.4 and ajdt 1.4.2
> I'm not really sure why I can't make it work
> Am I having problem with the above versions I'm using?

> I followed this post:
> http://dev.eclipse.org/newslists/news.eclipse.technology.ajd t/msg00996.html

> but could not make it work

> 10x,
> Keren
Previous Topic:Generics - Exception
Next Topic:An internal error occurred during: "Delete and update AspectJ markers ..."
Goto Forum:
  


Current Time: Mon Dec 22 04:17:11 GMT 2014

Powered by FUDForum. Page generated in 0.01785 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software